/discord-users | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
discord-users_create_dm | POST /users/@me/channels |
discord-users_create_stage_instance | POST /stage-instances |
discord-users_delete_application_user_role_connection | DELETE /users/@me/applications/{application_id}/role-connection |
discord-users_delete_original_webhook_message | DELETE /webhooks/{webhook_id}/{webhook_token}/messages/@original |
discord-users_delete_stage_instance | DELETE /stage-instances/{channel_id} |
discord-users_delete_webhook | DELETE /webhooks/{webhook_id} |
discord-users_delete_webhook_by_token | DELETE /webhooks/{webhook_id}/{webhook_token} |
discord-users_delete_webhook_message | DELETE /webhooks/{webhook_id}/{webhook_token}/messages/{message_id} |
discord-users_execute_github_compatible_webhook | POST /webhooks/{webhook_id}/{webhook_token}/github |
discord-users_execute_slack_compatible_webhook | POST /webhooks/{webhook_id}/{webhook_token}/slack |
discord-users_execute_webhook | POST /webhooks/{webhook_id}/{webhook_token} |
discord-users_get_application_user_role_connection | GET /users/@me/applications/{application_id}/role-connection |
discord-users_get_bot_gateway | GET /gateway/bot |
discord-users_get_current_user_application_entitlements | GET /users/@me/applications/{application_id}/entitlements |
discord-users_get_gateway | GET /gateway |
discord-users_get_invite_target_users | Get the target users for an invite. |
discord-users_get_invite_target_users_job_status | Get the target users job status for an invite. |
discord-users_get_my_guild_member | GET /users/@me/guilds/{guild_id}/member |
discord-users_get_my_oauth2_application | GET /oauth2/applications/@me |
discord-users_get_my_oauth2_authorization | GET /oauth2/@me |
discord-users_get_my_user | GET /users/@me |
discord-users_get_openid_connect_userinfo | GET /oauth2/userinfo |
discord-users_get_original_webhook_message | GET /webhooks/{webhook_id}/{webhook_token}/messages/@original |
discord-users_get_public_keys | GET /oauth2/keys |
discord-users_get_sku_subscription | Get a subscription by its ID. |
discord-users_get_sku_subscriptions | Returns all subscriptions containing the SKU, filtered by user. |
discord-users_get_stage_instance | GET /stage-instances/{channel_id} |
discord-users_get_sticker | GET /stickers/{sticker_id} |
discord-users_get_sticker_pack | GET /sticker-packs/{pack_id} |
discord-users_get_user | GET /users/{user_id} |
discord-users_get_webhook | GET /webhooks/{webhook_id} |
discord-users_get_webhook_by_token | GET /webhooks/{webhook_id}/{webhook_token} |
discord-users_get_webhook_message | GET /webhooks/{webhook_id}/{webhook_token}/messages/{message_id} |
discord-users_invite_resolve | GET /invites/{code} |
discord-users_invite_revoke | DELETE /invites/{code} |
discord-users_leave_guild | DELETE /users/@me/guilds/{guild_id} |
discord-users_list_my_connections | GET /users/@me/connections |
discord-users_list_my_guilds | GET /users/@me/guilds |
discord-users_list_sticker_packs | GET /sticker-packs |
discord-users_list_voice_regions | GET /voice/regions |
discord-users_update_application_user_role_connection | PUT /users/@me/applications/{application_id}/role-connection |
discord-users_update_invite_target_users | Update the target users for an existing invite. |
discord-users_update_my_user | PATCH /users/@me |
discord-users_update_original_webhook_message | PATCH /webhooks/{webhook_id}/{webhook_token}/messages/@original |
discord-users_update_stage_instance | PATCH /stage-instances/{channel_id} |
discord-users_update_webhook | PATCH /webhooks/{webhook_id} |
discord-users_update_webhook_by_token | PATCH /webhooks/{webhook_id}/{webhook_token} |
discord-users_update_webhook_message | PATCH /webhooks/{webhook_id}/{webhook_token}/messages/{message_id} |
discord-users_create_dm
POST /users/@me/channels Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
access_tokens | string[] | No | — | Access Tokens | |
nicks | object | No | — | The nicks value | |
recipient_id | string | null | No | — | Recipient Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"access_tokens": {
"type": "array",
"items": {
"type": "string"
},
"description": "Access Tokens"
},
"nicks": {
"type": "object",
"description": "The nicks value"
},
"recipient_id": {
"type": [
"string",
"null"
],
"description": "Recipient Id"
}
},
"required": [
"PCID"
]
}
discord-users_create_stage_instance
POST /stage-instances Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
channel_id | string | Yes | — | Channel Id | |
guild_scheduled_event_id | string | null | No | — | Guild Scheduled Event Id |
privacy_level | integer | null | No | — | Privacy Level |
send_start_notification | boolean | null | No | — | Send Start Notification |
topic | string | Yes | — | The topic value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_id": {
"type": "string",
"description": "Channel Id"
},
"guild_scheduled_event_id": {
"type": [
"string",
"null"
],
"description": "Guild Scheduled Event Id"
},
"privacy_level": {
"type": [
"integer",
"null"
],
"description": "Privacy Level"
},
"send_start_notification": {
"type": [
"boolean",
"null"
],
"description": "Send Start Notification"
},
"topic": {
"type": "string",
"description": "The topic value"
}
},
"required": [
"PCID",
"channel_id",
"topic"
]
}
discord-users_delete_application_user_role_connection
DELETE /users/@me/applications/{application_id}/role-connection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_id": {
"type": "string",
"description": "Application Id"
}
},
"required": [
"PCID",
"application_id"
]
}
discord-users_delete_original_webhook_message
DELETE /webhooks/{webhook_id}/{webhook_token}/messages/@original Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
thread_id | string | No | — | Thread Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_delete_stage_instance
DELETE /stage-instances/{channel_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_id | string | Yes | — | Channel Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_id": {
"type": "string",
"description": "Channel Id"
}
},
"required": [
"PCID",
"channel_id"
]
}
discord-users_delete_webhook
DELETE /webhooks/{webhook_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
}
},
"required": [
"PCID",
"webhook_id"
]
}
discord-users_delete_webhook_by_token
DELETE /webhooks/{webhook_id}/{webhook_token} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_delete_webhook_message
DELETE /webhooks/{webhook_id}/{webhook_token}/messages/{message_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
message_id | string | Yes | — | Message Id |
thread_id | string | No | — | Thread Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"message_id": {
"type": "string",
"description": "Message Id"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token",
"message_id"
]
}
discord-users_execute_github_compatible_webhook
POST /webhooks/{webhook_id}/{webhook_token}/github Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id | |
webhook_token | string | Yes | — | Webhook Token | |
wait | boolean | No | — | The wait value | |
thread_id | string | No | — | Thread Id | |
action | string | null | No | — | The action value |
answer | object | No | — | The answer value | |
check_run | object | No | — | Check Run | |
check_suite | object | No | — | Check Suite | |
comment | object | No | — | The comment value | |
commits | object[] | No | — | The commits value | |
compare | string | null | No | — | The compare value |
discussion | object | No | — | The discussion value | |
forced | boolean | null | No | — | The forced value |
forkee | object | No | — | The forkee value | |
head_commit | object | No | — | Head Commit | |
issue | object | No | — | The issue value | |
member | object | No | — | The member value | |
pull_request | object | No | — | Pull Request | |
ref | string | null | No | — | The ref value |
ref_type | string | null | No | — | Ref Type |
release | object | No | — | The release value | |
repository | object | No | — | The repository value | |
review | object | No | — | The review value | |
sender | object | Yes | — | The sender value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"wait": {
"type": "boolean",
"description": "The wait value"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
},
"action": {
"type": [
"string",
"null"
],
"description": "The action value"
},
"answer": {
"type": "object",
"description": "The answer value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"user": {
"type": "object",
"description": "The user value"
},
"commit_id": {
"type": "string",
"description": "Commit Id"
},
"body": {
"type": "string",
"description": "The body value"
}
},
"required": [
"id",
"html_url",
"user",
"body"
]
},
"check_run": {
"type": "object",
"description": "Check Run",
"properties": {
"conclusion": {
"type": "string",
"description": "The conclusion value"
},
"name": {
"type": "string",
"description": "The name value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"check_suite": {
"type": "object",
"description": "Check Suite"
},
"details_url": {
"type": "string",
"description": "Details Url"
},
"output": {
"type": "object",
"description": "The output value"
},
"pull_requests": {
"type": "array",
"items": {
"type": "object"
},
"description": "Pull Requests"
}
},
"required": [
"name",
"html_url",
"check_suite"
]
},
"check_suite": {
"type": "object",
"description": "Check Suite",
"properties": {
"conclusion": {
"type": "string",
"description": "The conclusion value"
},
"head_branch": {
"type": "string",
"description": "Head Branch"
},
"head_sha": {
"type": "string",
"description": "Head Sha"
},
"pull_requests": {
"type": "array",
"items": {
"type": "object"
},
"description": "Pull Requests"
},
"app": {
"type": "object",
"description": "The app value"
}
},
"required": [
"head_sha",
"app"
]
},
"comment": {
"type": "object",
"description": "The comment value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"user": {
"type": "object",
"description": "The user value"
},
"commit_id": {
"type": "string",
"description": "Commit Id"
},
"body": {
"type": "string",
"description": "The body value"
}
},
"required": [
"id",
"html_url",
"user",
"body"
]
},
"commits": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"url": {
"type": "string",
"format": "uri",
"description": "The url value"
},
"message": {
"type": "string",
"description": "The message value"
},
"author": {
"type": "object",
"description": "The author value"
}
},
"required": [
"id",
"url",
"message",
"author"
]
},
"description": "The commits value"
},
"compare": {
"type": [
"string",
"null"
],
"description": "The compare value"
},
"discussion": {
"type": "object",
"description": "The discussion value",
"properties": {
"title": {
"type": "string",
"description": "The title value"
},
"number": {
"type": "integer",
"description": "The number value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"answer_html_url": {
"type": "string",
"description": "Answer Html Url"
},
"body": {
"type": "string",
"description": "The body value"
},
"user": {
"type": "object",
"description": "The user value"
}
},
"required": [
"title",
"number",
"html_url",
"user"
]
},
"forced": {
"type": [
"boolean",
"null"
],
"description": "The forced value"
},
"forkee": {
"type": "object",
"description": "The forkee value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"name": {
"type": "string",
"description": "The name value"
},
"full_name": {
"type": "string",
"description": "Full Name"
}
},
"required": [
"id",
"html_url",
"name",
"full_name"
]
},
"head_commit": {
"type": "object",
"description": "Head Commit",
"properties": {
"id": {
"type": "string",
"description": "The id value"
},
"url": {
"type": "string",
"description": "The url value"
},
"message": {
"type": "string",
"description": "The message value"
},
"author": {
"type": "object",
"description": "The author value"
}
},
"required": [
"id",
"url",
"message",
"author"
]
},
"issue": {
"type": "object",
"description": "The issue value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"number": {
"type": "integer",
"description": "The number value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"user": {
"type": "object",
"description": "The user value"
},
"title": {
"type": "string",
"description": "The title value"
},
"body": {
"type": "string",
"description": "The body value"
},
"pull_request": {
"description": "Pull Request"
}
},
"required": [
"id",
"number",
"html_url",
"user",
"title"
]
},
"member": {
"type": "object",
"description": "The member value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"login": {
"type": "string",
"description": "The login value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"avatar_url": {
"type": "string",
"description": "Avatar Url"
}
},
"required": [
"id",
"login",
"html_url",
"avatar_url"
]
},
"pull_request": {
"type": "object",
"description": "Pull Request",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"number": {
"type": "integer",
"description": "The number value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"user": {
"type": "object",
"description": "The user value"
},
"title": {
"type": "string",
"description": "The title value"
},
"body": {
"type": "string",
"description": "The body value"
},
"pull_request": {
"description": "Pull Request"
}
},
"required": [
"id",
"number",
"html_url",
"user",
"title"
]
},
"ref": {
"type": [
"string",
"null"
],
"description": "The ref value"
},
"ref_type": {
"type": [
"string",
"null"
],
"description": "Ref Type"
},
"release": {
"type": "object",
"description": "The release value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"tag_name": {
"type": "string",
"description": "Tag Name"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"author": {
"type": "object",
"description": "The author value"
}
},
"required": [
"id",
"tag_name",
"html_url",
"author"
]
},
"repository": {
"type": "object",
"description": "The repository value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"name": {
"type": "string",
"description": "The name value"
},
"full_name": {
"type": "string",
"description": "Full Name"
}
},
"required": [
"id",
"html_url",
"name",
"full_name"
]
},
"review": {
"type": "object",
"description": "The review value",
"properties": {
"user": {
"type": "object",
"description": "The user value"
},
"body": {
"type": "string",
"description": "The body value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"state": {
"type": "string",
"description": "The state value"
}
},
"required": [
"user",
"html_url",
"state"
]
},
"sender": {
"type": "object",
"description": "The sender value",
"properties": {
"id": {
"type": "integer",
"description": "The id value"
},
"login": {
"type": "string",
"description": "The login value"
},
"html_url": {
"type": "string",
"description": "Html Url"
},
"avatar_url": {
"type": "string",
"description": "Avatar Url"
}
},
"required": [
"id",
"login",
"html_url",
"avatar_url"
]
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token",
"sender"
]
}
discord-users_execute_slack_compatible_webhook
POST /webhooks/{webhook_id}/{webhook_token}/slack Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id | |
webhook_token | string | Yes | — | Webhook Token | |
wait | boolean | No | — | The wait value | |
thread_id | string | No | — | Thread Id | |
attachments | object[] | No | — | The attachments value | |
icon_url | string | null | No | — | Icon Url |
text | string | null | No | — | The text value |
username | string | null | No | — | The username value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"wait": {
"type": "boolean",
"description": "The wait value"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
},
"attachments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"title": {
"type": "string",
"description": "The title value"
},
"title_link": {
"type": "string",
"format": "uri",
"description": "Title Link"
},
"text": {
"type": "string",
"description": "The text value"
},
"color": {
"type": "string",
"description": "The color value"
},
"ts": {
"type": "integer",
"description": "The ts value"
},
"pretext": {
"type": "string",
"description": "The pretext value"
},
"footer": {
"type": "string",
"description": "The footer value"
},
"footer_icon": {
"type": "string",
"format": "uri",
"description": "Footer Icon"
},
"author_name": {
"type": "string",
"description": "Author Name"
},
"author_link": {
"type": "string",
"format": "uri",
"description": "Author Link"
},
"author_icon": {
"type": "string",
"format": "uri",
"description": "Author Icon"
},
"image_url": {
"type": "string",
"format": "uri",
"description": "Image Url"
},
"thumb_url": {
"type": "string",
"format": "uri",
"description": "Thumb Url"
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"inline": {
"type": "boolean"
}
}
},
"description": "The fields value"
}
}
},
"description": "The attachments value"
},
"icon_url": {
"type": [
"string",
"null"
],
"description": "Icon Url"
},
"text": {
"type": [
"string",
"null"
],
"description": "The text value"
},
"username": {
"type": [
"string",
"null"
],
"description": "The username value"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_execute_webhook
POST /webhooks/{webhook_id}/{webhook_token} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
wait | boolean | No | — | The wait value |
thread_id | string | No | — | Thread Id |
with_components | boolean | No | — | With Components |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"wait": {
"type": "boolean",
"description": "The wait value"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
},
"with_components": {
"type": "boolean",
"description": "With Components"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token",
"body"
]
}
discord-users_get_application_user_role_connection
GET /users/@me/applications/{application_id}/role-connection Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_id": {
"type": "string",
"description": "Application Id"
}
},
"required": [
"PCID",
"application_id"
]
}
discord-users_get_bot_gateway
GET /gateway/botShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_current_user_application_entitlements
GET /users/@me/applications/{application_id}/entitlements Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
application_id | string | Yes | — | Application Id |
sku_ids | string[] | No | — | Sku Ids |
exclude_consumed | boolean | No | — | Exclude Consumed |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_id": {
"type": "string",
"description": "Application Id"
},
"sku_ids": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "Sku Ids"
},
"exclude_consumed": {
"type": "boolean",
"description": "Exclude Consumed"
}
},
"required": [
"PCID",
"application_id"
]
}
discord-users_get_gateway
GET /gatewayShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_invite_target_users
Get the target users for an invite. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code value"
}
},
"required": [
"PCID",
"code"
]
}
discord-users_get_invite_target_users_job_status
Get the target users job status for an invite. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code value"
}
},
"required": [
"PCID",
"code"
]
}
discord-users_get_my_guild_member
GET /users/@me/guilds/{guild_id}/member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-users_get_my_oauth2_application
GET /oauth2/applications/@meShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_my_oauth2_authorization
GET /oauth2/@meShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_my_user
GET /users/@meShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_openid_connect_userinfo
GET /oauth2/userinfoShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_original_webhook_message
GET /webhooks/{webhook_id}/{webhook_token}/messages/@original Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
thread_id | string | No | — | Thread Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_get_public_keys
GET /oauth2/keysShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_get_sku_subscription
Get a subscription by its ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sku_id | string | Yes | — | Sku Id |
subscription_id | string | Yes | — | Subscription Id |
user_id | string | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sku_id": {
"type": "string",
"description": "Sku Id"
},
"subscription_id": {
"type": "string",
"description": "Subscription Id"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"sku_id",
"subscription_id"
]
}
discord-users_get_sku_subscriptions
Returns all subscriptions containing the SKU, filtered by user. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sku_id | string | Yes | — | Sku Id |
before | string | No | — | The before value |
after | string | No | — | The after value |
limit | integer | No | — | Maximum number of results to return |
user_id | string | No | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sku_id": {
"type": "string",
"description": "Sku Id"
},
"before": {
"type": "string",
"description": "The before value"
},
"after": {
"type": "string",
"description": "The after value"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"sku_id"
]
}
discord-users_get_stage_instance
GET /stage-instances/{channel_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_id | string | Yes | — | Channel Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_id": {
"type": "string",
"description": "Channel Id"
}
},
"required": [
"PCID",
"channel_id"
]
}
discord-users_get_sticker
GET /stickers/{sticker_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sticker_id | string | Yes | — | Sticker Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sticker_id": {
"type": "string",
"description": "Sticker Id"
}
},
"required": [
"PCID",
"sticker_id"
]
}
discord-users_get_sticker_pack
GET /sticker-packs/{pack_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pack_id | string | Yes | — | Pack Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pack_id": {
"type": "string",
"description": "Pack Id"
}
},
"required": [
"PCID",
"pack_id"
]
}
discord-users_get_user
GET /users/{user_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
user_id | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"user_id": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"user_id"
]
}
discord-users_get_webhook
GET /webhooks/{webhook_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
}
},
"required": [
"PCID",
"webhook_id"
]
}
discord-users_get_webhook_by_token
GET /webhooks/{webhook_id}/{webhook_token} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_get_webhook_message
GET /webhooks/{webhook_id}/{webhook_token}/messages/{message_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id |
webhook_token | string | Yes | — | Webhook Token |
message_id | string | Yes | — | Message Id |
thread_id | string | No | — | Thread Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"message_id": {
"type": "string",
"description": "Message Id"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token",
"message_id"
]
}
discord-users_invite_resolve
GET /invites/{code} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code value |
with_counts | boolean | No | — | With Counts |
guild_scheduled_event_id | string | No | — | Guild Scheduled Event Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code value"
},
"with_counts": {
"type": "boolean",
"description": "With Counts"
},
"guild_scheduled_event_id": {
"type": "string",
"description": "Guild Scheduled Event Id"
}
},
"required": [
"PCID",
"code"
]
}
discord-users_invite_revoke
DELETE /invites/{code} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code value"
}
},
"required": [
"PCID",
"code"
]
}
discord-users_leave_guild
DELETE /users/@me/guilds/{guild_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
guild_id | string | Yes | — | Guild Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"guild_id": {
"type": "string",
"description": "Guild Id"
}
},
"required": [
"PCID",
"guild_id"
]
}
discord-users_list_my_connections
GET /users/@me/connectionsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_list_my_guilds
GET /users/@me/guilds Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
before | string | No | — | The before value |
after | string | No | — | The after value |
limit | integer | No | — | Maximum number of results to return |
with_counts | boolean | No | — | With Counts |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"before": {
"type": "string",
"description": "The before value"
},
"after": {
"type": "string",
"description": "The after value"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"with_counts": {
"type": "boolean",
"description": "With Counts"
}
},
"required": [
"PCID"
]
}
discord-users_list_sticker_packs
GET /sticker-packsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_list_voice_regions
GET /voice/regionsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
discord-users_update_application_user_role_connection
PUT /users/@me/applications/{application_id}/role-connection Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
application_id | string | Yes | — | Application Id | |
metadata | object | No | — | The metadata value | |
platform_name | string | null | No | — | Platform Name |
platform_username | string | null | No | — | Platform Username |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"application_id": {
"type": "string",
"description": "Application Id"
},
"metadata": {
"type": "object",
"description": "The metadata value"
},
"platform_name": {
"type": [
"string",
"null"
],
"description": "Platform Name"
},
"platform_username": {
"type": [
"string",
"null"
],
"description": "Platform Username"
}
},
"required": [
"PCID",
"application_id"
]
}
discord-users_update_invite_target_users
Update the target users for an existing invite. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code value |
target_users_file | string | Yes | — | Target Users File |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code value"
},
"target_users_file": {
"type": "string",
"description": "Target Users File"
}
},
"required": [
"PCID",
"code",
"target_users_file"
]
}
discord-users_update_my_user
PATCH /users/@me Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
avatar | string | null | No | — | The avatar value |
banner | string | null | No | — | The banner value |
username | string | Yes | — | The username value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"avatar": {
"type": [
"string",
"null"
],
"description": "The avatar value"
},
"banner": {
"type": [
"string",
"null"
],
"description": "The banner value"
},
"username": {
"type": "string",
"description": "The username value"
}
},
"required": [
"PCID",
"username"
]
}
discord-users_update_original_webhook_message
PATCH /webhooks/{webhook_id}/{webhook_token}/messages/@original Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id | |
webhook_token | string | Yes | — | Webhook Token | |
thread_id | string | No | — | Thread Id | |
with_components | boolean | No | — | With Components | |
allowed_mentions | object | No | — | Allowed Mentions | |
attachments | object[] | No | — | The attachments value | |
components | any[] | No | — | The components value | |
content | string | null | No | — | The content value |
embeds | object[] | No | — | The embeds value | |
flags | integer | null | No | — | The flags value |
poll | object | No | — | The poll value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
},
"with_components": {
"type": "boolean",
"description": "With Components"
},
"allowed_mentions": {
"type": "object",
"description": "Allowed Mentions",
"properties": {
"parse": {
"type": "array",
"items": {
"type": "string"
},
"description": "The parse value"
},
"users": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The users value"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The roles value"
},
"replied_user": {
"type": "boolean",
"description": "Replied User"
}
}
},
"attachments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "snowflake",
"description": "The id value"
},
"filename": {
"type": "string",
"description": "The filename value"
},
"description": {
"type": "string",
"description": "The description value"
},
"duration_secs": {
"type": "number",
"format": "double",
"description": "Duration Secs"
},
"waveform": {
"type": "string",
"description": "The waveform value"
},
"title": {
"type": "string",
"description": "The title value"
},
"is_remix": {
"type": "boolean",
"description": "Is Remix"
}
},
"required": [
"id"
]
},
"description": "The attachments value"
},
"components": {
"type": "array",
"description": "The components value"
},
"content": {
"type": [
"string",
"null"
],
"description": "The content value"
},
"embeds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "The type value"
},
"url": {
"type": "string",
"format": "uri",
"description": "The url value"
},
"title": {
"type": "string",
"description": "The title value"
},
"color": {
"type": "integer",
"description": "The color value"
},
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp value"
},
"description": {
"type": "string",
"description": "The description value"
},
"author": {
"type": "object",
"description": "The author value"
},
"image": {
"type": "object",
"description": "The image value"
},
"thumbnail": {
"type": "object",
"description": "The thumbnail value"
},
"footer": {
"type": "object",
"description": "The footer value"
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"inline": {
"type": "boolean"
}
}
},
"description": "The fields value"
},
"provider": {
"type": "object",
"description": "The provider value"
},
"video": {
"type": "object",
"description": "The video value"
}
}
},
"description": "The embeds value"
},
"flags": {
"type": [
"integer",
"null"
],
"description": "The flags value"
},
"poll": {
"type": "object",
"description": "The poll value",
"properties": {
"question": {
"type": "object",
"description": "The question value"
},
"answers": {
"type": "array",
"items": {
"type": "object"
},
"description": "Each of the answers available in the poll, up to 10"
},
"allow_multiselect": {
"type": "boolean",
"description": "Whether a user can select multiple answers"
},
"layout_type": {
"type": "integer",
"description": "The layout type of the poll. Defaults to... DEFAULT!"
},
"duration": {
"type": "integer",
"description": "Number of hours the poll should be open for, up to 32 days. Defaults to 24"
}
},
"required": [
"question",
"answers"
]
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_update_stage_instance
PATCH /stage-instances/{channel_id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
channel_id | string | Yes | — | Channel Id |
privacy_level | integer | No | — | Privacy Level |
topic | string | No | — | The topic value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"channel_id": {
"type": "string",
"description": "Channel Id"
},
"privacy_level": {
"type": "integer",
"description": "Privacy Level"
},
"topic": {
"type": "string",
"description": "The topic value"
}
},
"required": [
"PCID",
"channel_id"
]
}
discord-users_update_webhook
PATCH /webhooks/{webhook_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id | |
avatar | string | null | No | — | The avatar value |
channel_id | string | null | No | — | Channel Id |
name | string | No | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"avatar": {
"type": [
"string",
"null"
],
"description": "The avatar value"
},
"channel_id": {
"type": [
"string",
"null"
],
"description": "Channel Id"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"webhook_id"
]
}
discord-users_update_webhook_by_token
PATCH /webhooks/{webhook_id}/{webhook_token} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id | |
webhook_token | string | Yes | — | Webhook Token | |
avatar | string | null | No | — | The avatar value |
name | string | No | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"avatar": {
"type": [
"string",
"null"
],
"description": "The avatar value"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token"
]
}
discord-users_update_webhook_message
PATCH /webhooks/{webhook_id}/{webhook_token}/messages/{message_id} Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
webhook_id | string | Yes | — | Webhook Id | |
webhook_token | string | Yes | — | Webhook Token | |
message_id | string | Yes | — | Message Id | |
thread_id | string | No | — | Thread Id | |
with_components | boolean | No | — | With Components | |
allowed_mentions | object | No | — | Allowed Mentions | |
attachments | object[] | No | — | The attachments value | |
components | any[] | No | — | The components value | |
content | string | null | No | — | The content value |
embeds | object[] | No | — | The embeds value | |
flags | integer | null | No | — | The flags value |
poll | object | No | — | The poll value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "Webhook Id"
},
"webhook_token": {
"type": "string",
"description": "Webhook Token"
},
"message_id": {
"type": "string",
"description": "Message Id"
},
"thread_id": {
"type": "string",
"description": "Thread Id"
},
"with_components": {
"type": "boolean",
"description": "With Components"
},
"allowed_mentions": {
"type": "object",
"description": "Allowed Mentions",
"properties": {
"parse": {
"type": "array",
"items": {
"type": "string"
},
"description": "The parse value"
},
"users": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The users value"
},
"roles": {
"type": "array",
"items": {
"type": "string",
"format": "snowflake"
},
"description": "The roles value"
},
"replied_user": {
"type": "boolean",
"description": "Replied User"
}
}
},
"attachments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "snowflake",
"description": "The id value"
},
"filename": {
"type": "string",
"description": "The filename value"
},
"description": {
"type": "string",
"description": "The description value"
},
"duration_secs": {
"type": "number",
"format": "double",
"description": "Duration Secs"
},
"waveform": {
"type": "string",
"description": "The waveform value"
},
"title": {
"type": "string",
"description": "The title value"
},
"is_remix": {
"type": "boolean",
"description": "Is Remix"
}
},
"required": [
"id"
]
},
"description": "The attachments value"
},
"components": {
"type": "array",
"description": "The components value"
},
"content": {
"type": [
"string",
"null"
],
"description": "The content value"
},
"embeds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "The type value"
},
"url": {
"type": "string",
"format": "uri",
"description": "The url value"
},
"title": {
"type": "string",
"description": "The title value"
},
"color": {
"type": "integer",
"description": "The color value"
},
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp value"
},
"description": {
"type": "string",
"description": "The description value"
},
"author": {
"type": "object",
"description": "The author value"
},
"image": {
"type": "object",
"description": "The image value"
},
"thumbnail": {
"type": "object",
"description": "The thumbnail value"
},
"footer": {
"type": "object",
"description": "The footer value"
},
"fields": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
},
"inline": {
"type": "boolean"
}
}
},
"description": "The fields value"
},
"provider": {
"type": "object",
"description": "The provider value"
},
"video": {
"type": "object",
"description": "The video value"
}
}
},
"description": "The embeds value"
},
"flags": {
"type": [
"integer",
"null"
],
"description": "The flags value"
},
"poll": {
"type": "object",
"description": "The poll value",
"properties": {
"question": {
"type": "object",
"description": "The question value"
},
"answers": {
"type": "array",
"items": {
"type": "object"
},
"description": "Each of the answers available in the poll, up to 10"
},
"allow_multiselect": {
"type": "boolean",
"description": "Whether a user can select multiple answers"
},
"layout_type": {
"type": "integer",
"description": "The layout type of the poll. Defaults to... DEFAULT!"
},
"duration": {
"type": "integer",
"description": "Number of hours the poll should be open for, up to 32 days. Defaults to 24"
}
},
"required": [
"question",
"answers"
]
}
},
"required": [
"PCID",
"webhook_id",
"webhook_token",
"message_id"
]
}

